Sympa::Request::Message(3Sympa)

NAME
Sympa::Request::Message - Command message as spool of requests

SYNOPSIS
  use Sympa::Request::Message;
  $spool = Sympa::Request::Message->new(message => $message);
  ($request, $handle) = $spool->next;

DESCRIPTION
Sympa::Request::Message provides pseudo-spool to generate Sympa::Request instances from the Sympa::Message instance.

  Methods

new ( message => $message )
next ( )
    Parses message $message and returns each command in it as Sympa::Request instance.

HISTORY
Sympa::Request::Message appeared in Sympa 6.2.13.